创建 projectParticipation

命名空间:microsoft.graph

重要

Microsoft Graph /beta 版本下的 API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

使用此 API 在用户配置文件中创建新的 projectParticipation 对象。

此 API 可用于以下国家级云部署。

全局服务 美国政府 L4 美国政府 L5 (DOD) 由世纪互联运营的中国
✅ ✅ ✅ ✅

权限

为此 API 选择标记为最低特权的权限。 只有在应用需要它时,才使用更高的特权权限。 有关委派权限和应用程序权限的详细信息,请参阅权限类型。 要了解有关这些权限的详细信息,请参阅 权限参考。

权限类型 最低特权权限 更高特权权限
委派(工作或学校帐户) User.ReadWrite AgentIdUser.ReadWrite.All、AgentIdUser.ReadWrite.IdentityParentedBy、User.ReadWrite.All
委派(个人 Microsoft 帐户) User.ReadWrite 不可用。
应用程序 不支持。 不支持。

HTTP 请求

POST /me/profile/projects
POST /users/{id | userPrincipalName}/profile/projects

请求标头

名称 说明
Authorization 持有者 {token}。 必填。 详细了解 身份验证和授权。
Content-Type application/json. 必需。

请求正文

在请求正文中,提供 projectParticipation 对象的 JSON 表示形式。

下表显示了在用户配置文件中创建新的 projectParticipation 对象时可以设置的属性。

属性 类型 说明
allowedAudiences String 能够看到实体中包含的值的受众。 继承自 itemFacet。 可能的值为:me、familyeveryonecontactsgroupMembersorganizationfederatedOrganizations。 unknownFutureValue
类别 String collection 包含用户与项目 (关联的类别,例如,数字化转型、石油钻井平台) 。
客户端 companyDetail 包含有关项目所针对客户的详细信息。
collaborationTags 字符串集合 包含用户与兴趣关联的体验方案标记。 集合中允许的值为:askMeAbout、、ableToMentorwantsToLearn、wantsToImprove。
同事 relatedPerson 集合 列出也参与过该项目的人员。
详细信息 positionDetail 包含有关项目中的用户角色的详细信息。
displayName String 包含项目的友好名称。
推理 inferenceData 如果实体是由创建或修改应用程序推断的,则包含推理详细信息。 继承自 itemFacet。
source personDataSource 如果从另一个服务同步,则值的来源。 继承自 itemFacet。
赞助 relatedPerson 集合 赞助项目的一个或多个人员。

关系

响应

如果成功,此方法将在响应正文中返回 201, Created 响应代码和一个新的 projectParticipation 对象。

示例

请求

以下示例显示了一个请求。

POST https://graph.microsoft.com/beta/me/profile/projects
Content-type: application/json

{
  "categories": [
    "Branding"
  ],
  "client": {
    "displayName": "Contoso Ltd.",
    "department": "Corporate Marketing",
    "webUrl": "https://www.contoso.com"
  },
  "displayName": "Contoso Re-branding Project",
  "detail": {
    "company": {
      "displayName": "Adventureworks Inc.",
      "department": "Consulting",
      "webUrl": "https://adventureworks.com"
    },
    "description": "Rebranding of Contoso Ltd.",
    "jobTitle": "Lead PM Rebranding",
    "role": "project management",
    "summary": "A 6 month project to help Contoso rebrand after they were divested from a parent organization."
  }
}

响应

以下示例显示了相应的响应。

注意:为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 201 Created
Content-type: application/json

{
  "id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
  "allowedAudiences": "organization",
  "inference": null,
  "createdDateTime": "2020-07-06T06:34:12.2294868Z",
  "createdBy": {
    "application": null,
    "device": null,
    "user": {
      "displayName": "Innocenty Popov",
      "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
    }
  },
  "lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
  "lastModifiedBy": {
    "application": null,
    "device": null,
    "user": {
      "displayName": "Innocenty Popov",
      "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
    }
  },
  "source": null,
  "categories": [
    "Branding"
  ],
  "client": {
    "displayName": "Contoso Ltd.",
    "pronunciation": null,
    "department": "Corporate Marketing",
    "officeLocation": null,
    "address": null,
    "webUrl": "https://www.contoso.com"
  },
  "displayName": "Contoso Re-branding Project",
  "detail": {
    "company": {
      "displayName": "Adventureworks Inc.",
      "pronunciation": null,
      "department": "Consulting",
      "companyCode": "C-100",
      "officeLocation": null,
      "address": null,
      "webUrl": "https://adventureworks.com"
    },
    "description": "Rebranding of Contoso Ltd.",
    "endMonthYear": "datetime-value",
    "jobTitle": "Lead PM Rebranding",
    "role": "project management",
    "startMonthYear": "datetime-value",
    "summary": "A 6 month project to help Contoso rebrand after they were divested from a parent organization."
  },
  "colleagues": null,
  "sponsors": null
}